Subject: Pictures
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 17 Apr 2001 15:14:00 -0700 (PDT)

Hi Mark;   Thank you for the comments on Macedonia.  I take it you have
started your book since you said "Details will be in the book!"
      Not much new here most excitement is about a May 5 Wedding!!
      The White Sox are having a slow start with a 4-7 record and neither the
hitting or pitching very good.  However the season is young ---- I hope.
What makes even worse is that the Cubs are on top of their division with a
8-4 record.
      The weather has improved though we had snow showers yesterday.  A good
thing you are not going to Canada this year.
      Mother and I send LOTS of LOVE and KISSES     DAD